### Constructor

# Dex Future new_take_boxed

#### Declaration [src]

    DexFuture*
    dex_future_new_take_boxed (
      GType boxed_type,
      gpointer value
    )

#### Description [src]

Creates a new `DexFuture` that is resolved with `value`.

This method is not directly available to language bindings.

#### Parameters

`boxed_type`

  Type: `GType`

  The GBoxed-based type.

`value`

  Type: `gpointer`

  The value for the boxed type.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `DexFuture`

A resolved `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.